function [c,ax,delta,theta]=ellip_x0(x,y,c,delta)
%ELLIP_X0 Calculate starting approximation for the ellipse problem.
%
%[c,ax,delta,theta]=ellip_x0(x,y[,c][,delta])
%x,y   - coordinates for measured ellipse points.
%c     - center of ellipse [cx;cy].
%ax    - length of major and minor axes [a;b].
%delta - inclination of ellipse, i.e. angle between major
%theta - "phase angle" of each ellipse point.
%
%Constructs and solves the linear problem
%x'*U*x+b'*x-gamma=0
%for U,b,gamma and converts to the geometric parameters cx,cy,...
